<div class="intent-container row">
    <div class="col-sm-6 col-md-5 col-lg-5 col-xl-4 intent-search-container pt-2">
        <div class="intent-header row">
            <div class="col-6 p-0">
                <div class="input-group has-icon">
                    <input id="txtSearch" class="form-control py-2 mr-1" type="text" (keyup)="searchIntents()"
                        placeholder="search intents">
                    <span class="input-group-append" *ngIf="showCross">
                        <div class="input-group-text border-0 mt-1 mb-1" (click)="clearSearch()">
                            <i class="fa fa-times"></i></div>
                    </span></div>
            </div>
            <div class="col-3 p-0 pl-2">
                <button id="AddIntent" class="btn btn-primary btn-block" (click)="addIntentPopup()">Create</button>
            </div>
            <div class="col-3 p-0 pl-2">
                <span title="Refresh Intent From Api">
                    <button id="RefreshFromApi" class="btn btn-primary btn-block" (click)="RefreshFromApi()">
                        <i class="fa fa-refresh"></i></button>
                </span>
            </div>
        </div>
        <div class="row intent-list mt-2">
            <div class="col-12">
                <ul class="intent-container custom-scroll">
                    <li class="intent-item mt-2" *ngIf="intents!=null && intents.length==0" style="cursor: default;">
                        No intent found!
                    </li>
                    <li (click)="intentClick($event)" class="intent-item mt-2"
                        *ngFor="let Intent of intents; let i = index; let first = first;" attr.data-id="{{Intent.ID}}"
                        attr.data-intentapiid="{{Intent.IntentApiID}}"
                        [ngClass]="{'active': selectedid==Intent.IntentApiID}">
                        <div>
                            <b>{{Intent.Name}}</b>
                        </div>
                        <div class="query-response">
                            <div title="{{data.Request_Description}}" class="alert-danger"
                                *ngFor="let data of Intent.Training;">
                                {{data.Request_Description}}
                            </div>
                            <div title="{{data.Response_Description}}" class="alert-success"
                                *ngFor="let data of Intent.Response;">
                                {{data.Response_Description}}
                            </div>
                            <!-- 
                            <div class="alert-danger" *ngIf="Intent.Training.length>0">{{Intent.Training[0]}}</div>
                            <div class="alert-success" *ngIf="Intent.Response.length>0">{{Intent.Response[0]}}</div> -->
                        </div>

                    </li>
                </ul>
            </div>
        </div>
        <div class="loader-container mt-2" *ngIf="intents==null">
            <i class="fa fa-refresh fa-2x fa-spin"></i>
        </div>
    </div>
    <div class="col-sm-6 col-md-7 col-lg-7 col-xl-8 query-response-container pt-4 intent-custom-scroll">
        <app-view-intent [data]="intentDetails">

        </app-view-intent>

    </div>
</div>
<div class="modal fade " role="modal" id="CreateIntent">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header" style="border-bottom: 0;">
                <h4 class="modal-title text-center">Add Intent</h4>
                <button type="button" class="close closeModal  no-outline" data-dismiss="modal">&times; </button>
            </div>
            <div class="modal-body">
                <div style="padding:10px">
                    <input style="width:100%!important;" type="text" id="txtAddIntent" class="form-control"
                        placeholder="Add IntentName." (keyup)="validateIntent($event)">
                    <div class="invalid-feedback " style="position: fixed;">
                        Please enter valid Intent Name.
                    </div>
                </div>
                <div class="intent-button pt-3 pb-0">
                    <button type="button" class="btn btn-outline-success ml-2" (click)="saveIntent()"
                        id="addnewintent">Save</button>
                    <button type="button" class="btn btn-outline-danger closeModal ml-3"
                        data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
</div>